Subject: Re: please double-check your charters

From: Sean Turner <[email-masked]>
Date: Thu, 15 Oct 2009 18:22:32 -0400

SMIME is an older version too.  We also added a pointer to the Interop 
Report we produced 
(http://www.ietf.org/iesg/implementation/report-rfc3852.txt and 
http://www.ietf.org/iesg/implementation/report-rfc3852.pdf).

This is what the charter used to say:

The S/MIME WG was established in the winter of 1997 to define MIME 
encapsulation techniques of objects whose format was based on PKCS#7 
(RFC2315). These encapsulation techniques can be used to provide 
security services for an arbitrary encapsulated content.

Initially the Cryptographic Message Syntax (CMS) (RFC2630) was not 
algorithm independent; however, the 1st revision separated the syntax 
(RFC3369) and the algorithms (RFC3370) to allow the two to be
updated without affecting one another. Since this split, other documents 
have been written to document the use of CMS with other algorithms 
(e.g., ECDSA, AES, GOST). Also since the initial CMS, additional
key management techniques (e.g., password-based and an extensible type) 
and encapsulation techniques (e.g., compression) have been added and 
other documents have been written to add additional security services. 
CMS is also transport independent, and documents have been written to 
define a consistent way to transport MIME objects.

The S/MIME specifications, one for the message specification and another 
for certificate handling, have been updated to migrate algorithms over time.

Appropriate WG topics are as follows:

- Specifications for the use of additional cryptographic algorithms with 
CMS.
- Specifications that define additional CMS content types.
- Specifications to document algorithm migration of S/MIME.
- With the approval of the area director, specifications that define 
additional CMS security services.

The WG will perform interoperability testing to progress the CMS and 
S/MIME Specifications to Draft Standard.

spt

Joe Hildebrand wrote:
> It looks like XMPP may be messed up as well.
> 
> http://tools.ietf.org/wg/xmpp/charter
> 
> Shows 
> 
> [an error occurred while processing this directive]
> 
> At the bottom, and our description is gone.
> 
> On 10/15/09 9:37 AM, "Henrik Levkowetz" <[email-masked]> wrote:
> 
>> Hi Tom,
>>
>> On 2009-10-15 16:15 Phelan, Tom said the following:
>>> Hi Henrik,
>>>
>>> The milestones on what's currently shown for the DCCP charter
>>> (http://www.ietf.org/dyn/wg/charter/dccp-charter.html and the tools
>>> page) are wrong.  They seem to be a combination of old and new
>>> milestones, and I'm not sure they include all of the current milestones.
>> You can now see a complete list of all the charter changes, including
>> trivial routine changes in internet-drafts, at the bottom of the charters
>> page for dccp: http://tools.ietf.org/wg/dccp/charters .  I hope that can
>> help you work out the correct current milestones, so the secretariat can
>> be notified.
>>
>> Regards,
>>
>> Henrik
>>
>>> Tom P.
>>>
>>>> -----Original Message-----
>>>> From: Henrik Levkowetz [mailto:[email-masked]]
>>>> Sent: Thursday, October 15, 2009 5:10 AM
>>>> To: Lars Eggert
>>>> Cc: Ben Campbell; David Harrington; Working Group Chairs; dccp-
>>>> [email-masked]
>>>> Subject: Re: please double-check your charters
>>>>
>>>> Hi Lars,
>>>>
>>>> On 2009-10-14 21:27 Lars Eggert said the following:
>>>>> Hi,
>>>>>
>>>>> some far DCCP. Moreover, the dated links on top of the tools page
>>> are
>>>>> also confused.
>>>> The dated links simply reflect when there was a change in what was
>>> pulled
>>>> from the database.  I've been saving the www.ietf.org/ietf/1wg-
>>>> charters.txt
>>>> file multiple times per day since 2006-07-03, and the individual WG
>>>> charter
>>>> history is based on that.
>>>>
>>>> As far as I can tell from the additional information you provide
>>> below,
>>>> the
>>>> restore after the outage on 2008-02-05 reverted to the old 2006 'is
>>>> chartered'
>>>> version.
>>>>
>>>>> The more current versions (the ones having "is
>>>>> maintaining" in the first line rather than "is chartered") are dated
>>>>> from 2006...
>>>>>
>>>>> (And I can't tell which one is the actual current one because after
>>>>> the massive recharter from design to maintenance mode - reflected in
>>>>> the wording change above and many other changes - I believe we did
>>>>> some minor rechartering.)
>>>> Could it be that the minor rechartering changed only milestones?  I
>>> only
>>>> recently started including the milestone information in the snapshots
>>> you
>>>> see on http://tools.ietf.org/wg/dccp/charters.
>>>>
>>>> If so, the charter text from 2006-12-29 should be the correct one (no
>>>> changes were seen during 2007) and hopefully the milestones from the
>>>> 2009-10-14 snapshot are correct.  If the milestones are hopelessly
>>> wrong,
>>>> let me know, and I can produce all the changes since 2006-07-03,
>>> including
>>>> milestone and document information (which I excluded from the charters
>>>> history because it makes it much harder to find actual charter changes
>>>> when 90% of the changes occur in the lists of internet-drafts and
>>> RFCs.
>>>> Regards,
>>>>
>>>> Henrik
>>>>
>>>>
>>>>> Lars
>>>>>
>>>>> On 2009-10-15, at 2:46, Ben Campbell wrote:
>>>>>
>>>>>> SIMPLE has the charter wrong on both the tools page and the
>>> "current
>>>>>> official charter" page.
>>>>>>
>>>>>> On Oct 14, 2009, at 11:15 AM, David Harrington wrote:
>>>>>>
>>>>>>> Hi,
>>>>>>>
>>>>>>> I checked the syslog page and found that the tools.ietf.org
>>> charter
>>>>>>> link showed an older version than the
>>>>>>> http://www.ietf.org/dyn/wg/charter/syslog-charter page (which you
>>> get
>>>>>>> if you click on "current charter" from the tools.ietf.org page.
>>>>>>>
>>>>>>> Henrik is investigating.
>>>>>>>
>>>>>>> I think you probably need to pay attention to which page you
>>> check,
>>>>>>> and report which URL is out of date.
>>>>>>> On the other hand, they already know there is a problem, so
>>> sending
>>>>>>> lots of reports of the same problem won't be that helpful. So you
>>>>>>> might to check to see if you have th eproblem, and then give them
>>> a
>>>>>>> few days to fix it, and check again later.
>>>>>>>
>>>>>>> dbh
>>>>>>>
>>>>>>>> -----Original Message-----
>>>>>>>> From: [email-masked]
>>>>>>>> [mailto:[email-masked]] On Behalf Of Ben Campbell
>>>>>>>> Sent: Wednesday, October 14, 2009 11:37 AM
>>>>>>>> To: Lars Eggert
>>>>>>>> Cc: Working Group Chairs
>>>>>>>> Subject: Re: please double-check your charters
>>>>>>>>
>>>>>>>> SIMPLE is clearly hosed. How do we go about fixing it?
>>>>>>>>
>>>>>>>> On Oct 14, 2009, at 9:01 AM, Lars Eggert wrote:
>>>>>>>>
>>>>>>>>> Hi,
>>>>>>>>>
>>>>>>>>> we just found another case of a WG (DCCP) where the charter
>>>>>>>> text was
>>>>>>>>> rolled back to some (much) earlier version during the IETF
>>>>>>>> web site
>>>>>>>>> migration. I suggest that you take a quick look at your
>>>>>>>> charters to
>>>>>>>>> double-check that they say what they should be saying.
>>>>>>>>>
>>>>>>>>> Lars
>>>>>>>>>
>>>>>>>>> PS: The milestones were OK, it was the actual charter text
>>>>>>>> that was
>>>>>>>>> outdated.
>